

# ListHarnessVersions
<a name="API_ListHarnessVersions"></a>

Operation to list the versions of a Harness.

## Request Syntax
<a name="API_ListHarnessVersions_RequestSyntax"></a>

```
GET /harnesses/{{harnessId}}/versions?maxResults={{maxResults}}&nextToken={{nextToken}} HTTP/1.1
```

## URI Request Parameters
<a name="API_ListHarnessVersions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [harnessId](#API_ListHarnessVersions_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListHarnessVersions-request-uri-harnessId"></a>
The ID of the harness whose versions are listed.  
Pattern: `[a-zA-Z][a-zA-Z0-9_]{0,39}-[a-zA-Z0-9]{10}`   
Required: Yes

 ** [maxResults](#API_ListHarnessVersions_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListHarnessVersions-request-uri-maxResults"></a>
The maximum number of results to return in a single call.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListHarnessVersions_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListHarnessVersions-request-uri-nextToken"></a>
The token for the next set of results.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

## Request Body
<a name="API_ListHarnessVersions_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListHarnessVersions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "harnessVersions": [ 
      { 
         "arn": "string",
         "createdAt": "string",
         "failureReason": "string",
         "harnessId": "string",
         "harnessName": "string",
         "harnessVersion": "string",
         "status": "string",
         "updatedAt": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListHarnessVersions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [harnessVersions](#API_ListHarnessVersions_ResponseSyntax) **   <a name="bedrockagentcorecontrol-ListHarnessVersions-response-harnessVersions"></a>
The list of harness version summaries.  
Type: Array of [HarnessVersionSummary](API_HarnessVersionSummary.md) objects

 ** [nextToken](#API_ListHarnessVersions_ResponseSyntax) **   <a name="bedrockagentcorecontrol-ListHarnessVersions-response-nextToken"></a>
The token for the next set of results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

## Errors
<a name="API_ListHarnessVersions_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
This exception is thrown when a request is denied per access permissions  
HTTP Status Code: 403

 ** InternalServerException **   
This exception is thrown if there was an unexpected error during processing of request  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
This exception is thrown when a resource referenced by the operation does not exist  
HTTP Status Code: 404

 ** ThrottlingException **   
This exception is thrown when the number of requests exceeds the limit  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by the service.  
HTTP Status Code: 400

## See Also
<a name="API_ListHarnessVersions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-agentcore-control-2023-06-05/ListHarnessVersions) 